<?php

namespace Intuit\Response;

use Intuit\Models\Payment as PaymentModel;

/**
 * This is an Invoice Intuit Response to API calls
 */
class Payment extends Base
{
	protected const LOGKEY = 'RIP';

	public function __construct(object $response)
	{
		parent::__construct($response);

		if (object_get($response,'time'))
			unset($response->time);

		$this->_model = new PaymentModel((array)$response->Payment);
	}
}