<?php

/**
 * Setup for Intuit authentication
 */
namespace Intuit\Traits;

use Illuminate\Support\Arr;
use Intuit\Providers\Socialite\IntuitProvider;

trait IntuitSocialite
{
	private function bootIntuitSocialite()
	{
		$socialite = $this->app->make('Laravel\Socialite\Contracts\Factory');

		$socialite->extend('intuit', function ($app) use ($socialite) {
			$config = Arr::get($app,'config.intuit');

			return $socialite->buildProvider(IntuitProvider::class, $config);
		});
	}
}