<?php

namespace Intuit\Response;

use Intuit\Models\Invoice as InvoiceModel;

/**
 * This is an Invoice Intuit Response to API calls
 */
class Invoice extends Base
{
	protected const LOGKEY = 'RII';

	public function __construct(object $response)
	{
		parent::__construct($response);

		if (object_get($response,'time'))
			unset($response->time);

		$this->_model = new InvoiceModel((array)$response);
	}
}